summaryrefslogtreecommitdiffstats
path: root/packaging/SGI/mkrelease.sh
diff options
context:
space:
mode:
authorHerb Lewis <herb@samba.org>1997-12-01 14:50:52 +0000
committerHerb Lewis <herb@samba.org>1997-12-01 14:50:52 +0000
commitb7e1265f106010e03d92575f4578162ec659994b (patch)
tree20dccc53aea7ea16c39976fc0997d6c6a1afc772 /packaging/SGI/mkrelease.sh
parente57275dd193d648458293b25f0cc3c7179f26536 (diff)
downloadsamba-b7e1265f106010e03d92575f4578162ec659994b.tar.gz
samba-b7e1265f106010e03d92575f4578162ec659994b.tar.xz
samba-b7e1265f106010e03d92575f4578162ec659994b.zip
dded error checking to scripts
Diffstat (limited to 'packaging/SGI/mkrelease.sh')
-rwxr-xr-xpackaging/SGI/mkrelease.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/packaging/SGI/mkrelease.sh b/packaging/SGI/mkrelease.sh
index fed7a5dc42a..fcf247d9b4f 100755
--- a/packaging/SGI/mkrelease.sh
+++ b/packaging/SGI/mkrelease.sh
@@ -8,21 +8,50 @@
#
echo Making manual pages
./mkman
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat making manual pages\n";
+ exit $errstat;
+fi
# build the sources
#
echo Making binaries
./makefile.pl $1 # create the Makefile for the specified OS ver
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat creating Makefile\n";
+ exit $errstat;
+fi
+
cd ../../source
# make -f ../packaging/SGI/Makefile clean
make -f ../packaging/SGI/Makefile all
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat building sources\n";
+ exit $errstat;
+fi
+
cd ../packaging/SGI
# generate the packages
#
echo Generating Inst Packages
./spec.pl # create the samba.spec file
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat creating samba.spec\n";
+ exit $errstat;
+fi
+
./idb.pl # create the samba.idb file
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat creating samba.idb\n";
+ exit $errstat;
+fi
+
if [ ! -d bins ]; then
mkdir bins
fi